Index: http.c
===================================================================
RCS file: /surf1/CVS/squid/src/http.c,v
retrieving revision 1.56.2.32
diff -c -w -r1.56.2.32 http.c
***************
*** 588,594 ****
      /* check if IP is already in cache. It must be. 
       * It should be done before this route is called. 
       * Otherwise, we cannot check return code for connect. */
!     if (!ipcache_gethostbyname(request->host, 0)) {
  	debug(11, 4, "proxyhttpstart: Called without IP entry in ipcache. OR lookup failed.\n");
  	squid_error_entry(entry, ERR_DNS_FAIL, dns_error_message);
  	comm_close(sock);
--- 586,592 ----
      /* check if IP is already in cache. It must be. 
       * It should be done before this route is called. 
       * Otherwise, we cannot check return code for connect. */
!     if (!ipcache_gethostbyname(request->host, IP_BLOCKING_LOOKUP)) {
  	debug(11, 4, "proxyhttpstart: Called without IP entry in ipcache. OR lookup failed.\n");
  	squid_error_entry(entry, ERR_DNS_FAIL, dns_error_message);
  	comm_close(sock);
